Subject: [bug#66586] (no subject)

From: Yann Dupont <[email-masked]>
Date: Wed, 10 Apr 2024 15:19:49 +0200

Hi there,

I'd looked at the patch Simon reformatted and it seemed fine, but I just 
tested *this* thread's patch, and it doesn't seem to work.

I suspect there's an extra "-" in the 1st line of the 3rd patch (it 
wasn't in my original patch https://issues.guix.gnu.org/65177#3) 
<https://issues.guix.gnu.org/65177#3>.

the « - » in the line '-IMPORT{program}="(LVM_EXEC)/lvm pvscan --cache 
--listvg --checkcomplete --vgonline --autoactivation event --udevoutput 
--journal=output $env{DEVNAME}' is too much in the patch.

I've just tested the generation of a VM generated with the patch 
amputated from the excess line and it's ok.

Unless someone does it before me, I'll try again to post the correct 
version.